package com.smppw.common.pojo.dto.calc;

import com.smppw.common.pojo.dto.CompoundRet;
import com.smppw.common.pojo.dto.DateValue;
import com.smppw.common.pojo.enums.TrendType;
import lombok.Data;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
public class IndicatorCalcIndexDataDto {
    /**
     * 指数的净值序列  key-指数ID, value指数的净值序列
     */
    private Map<String, List<DateValue>> indexNavMap = new HashMap<>();
    private Map<String, List<DateValue>> oriIndexNavMap = new HashMap<>();

    private Map<String, List<DateValue>> indexExtraNavMap = new HashMap<>();

    /**
     * 指数的回撤  key-指数ID, value指数的回撤
     */
    private Map<String, List<DateValue>> indexDrawdownMap = new HashMap<>();

    /**
     * 指数的收益序列 Map
     */
    private Map<String, List<CompoundRet>> indexRetListMap = new HashMap<>();

    /**
     * 指数的超额收益序列-几何
     */
    private Map<String, List<CompoundRet>> indexExtraRetGeoListMap = new HashMap<>();

    /**
     *  指数的指标
     */
    private Map<String, Map<String, String>> indexIndicatorValueMap = new HashMap<>();

    private Map<String, Map<String, String>> indexGeoExtraIndicatorValueMap = new HashMap<>();

    /**
     * 存放走势的结果集的map
     */
    private Map<String, Map<TrendType, List<Double>>> indexTrendValueMap = new HashMap<>();
}
